# Set production task status client permission **PUT /data/projects/{project_id}/settings/task-status/{task_status_id}** Override, for a production, whether its clients may set a task status. A null value reverts to the studio value of the task status. ## Servers - http://api.example.com: http://api.example.com () ## Authentication methods - Jwt authorization ## Parameters ### Path parameters - **project_id** (string(uuid)) Project unique identifier - **task_status_id** (string(uuid)) Task status unique identifier ### Body: application/json (object) - **is_client_allowed** (boolean | null) Whether clients may set this status in this production, null inherits the studio value ## Responses ### 200 Updated task status link ### 400 Missing is_client_allowed field ### 403 Caller is not a manager of the production ### 404 Task status not linked to the production [Powered by Bump.sh](https://bump.sh)